Name:          string_reminder
Version:       0.2.0
Release:       1
Summary:       string reminder
License:       Unlicense
URL:           https://git.gay/Micro/string_reminder
BuildRequires: git cargo

%description
string reminder

%prep
git clone https://git.gay/Micro/string_reminder.git
cd string_reminder
cargo vendor
mkdir .cargo
cat > .cargo/config.toml << EOF
[source.crates-io]
replace-with = "vendored-sources"

[source.vendored-sources]
directory = "vendor"
EOF

%build
cd string_reminder
cargo build --release

%install
mkdir -p %{buildroot}/usr/bin/
mkdir -p %{buildroot}/usr/lib/systemd/user/

cd string_reminder
install -m 755 target/release/string_reminder %{buildroot}/usr/bin/string_reminder
install -m 644 string_reminder.service %{buildroot}/usr/lib/systemd/user/string_reminder.service

%files
/usr/bin/string_reminder
/usr/lib/systemd/user/string_reminder.service

%changelog
* Sun Sep 01 2024 Niko Red <micro@noreply.localhost> - 0.2.0
- initial release
